ConstantInvokeDynamic (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.classfile

## Class ConstantInvokeDynamic

- java.lang.Object
- - org.apache.bcel.classfile.Constant
  - - org.apache.bcel.classfile.ConstantCP
    - - org.apache.bcel.classfile.ConstantInvokeDynamic

- All Implemented Interfaces:
    Cloneable, Node

      public final class ConstantInvokeDynamic
      extends ConstantCP

  This class is derived from the abstract `Constant` and represents a reference to a invoke dynamic.
  Since:
    6.0
  See Also:
    `Constant`, The CONSTANT_InvokeDynamic_info Structure in The Java Virtual Machine Specification

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.ConstantCP

      `class_index, name_and_type_index`

    - ### Fields inherited from class org.apache.bcel.classfile.Constant

      `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantInvokeDynamic(ConstantInvokeDynamic c)` Initialize from another object.
    `ConstantInvokeDynamic(int bootstrap_method_attr_index, int name_and_type_index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
    `int` | `getBootstrapMethodAttrIndex()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.ConstantCP

      `dump, getClass, getClassIndex, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex`

    - ### Methods inherited from class org.apache.bcel.classfile.Constant

      `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantInvokeDynamic

          public ConstantInvokeDynamic(ConstantInvokeDynamic c)

      Initialize from another object.

    - #### ConstantInvokeDynamic

          public ConstantInvokeDynamic(int bootstrap_method_attr_index,
                                       int name_and_type_index)

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Constant`
      Parameters:
        `v` - Visitor object

    - #### getBootstrapMethodAttrIndex

          public int getBootstrapMethodAttrIndex()

      Returns:
        Reference (index) to bootstrap method this constant refers to. Note that this method is a functional duplicate of getClassIndex for use by ConstantInvokeDynamic.
      Since:
        6.0

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ConstantCP`
      Returns:
        String representation

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.